@woocommerce/data
TypeScript icon, indicating that this package has built-in type declarations

5.0.0 • Public • Published

Data

WooCommerce Admin data store and utilities.

Installation

Install the module

pnpm install @woocommerce/data --save

This package assumes that your code will run in an ES2015+ environment. If you're using an environment that has limited or no support for ES2015+ such as lower versions of IE then using core-js or @babel/polyfill will add support for these methods. Learn more about it in Babel docs.

Usage

import { SETTINGS_STORE_NAME } from '@woocommerce/data';
import { useSelect } from '@wordpress/data';

function MySettings() {
	const settings = useSelect( select => {
		return select( SETTINGS_STORE_NAME ).getSettings();
	} );
	return (
		<ul>
			{ settings.map( setting => (
				<li>{ setting.name }</li>
			) ) }
		</ul>
	);
}

// Rendered in the application:
//
//  <MySettings />

Package Sidebar

Install

npm i @woocommerce/data

Weekly Downloads

1,092

Version

5.0.0

License

GPL-3.0-or-later

Unpacked Size

1.08 MB

Total Files

838

Last publish

Collaborators

  • nathanowna
  • opr
  • nigeljamesstevenson
  • chihsuan
  • rjchow
  • zhongruige
  • ~woocommerce
  • adrianduffell
  • octaedro
  • psealock
  • mikejolley
  • albertjuhe
  • nerrad
  • obliviousharmony
  • dygerati
  • louwie17
  • ilyasfoo
  • mattsherman
  • joshuatf
  • moon.kyong